package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.ichaoj.ams.constant.AmsConstant;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 策略管理
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
@Getter
@Setter
@TableName("ams_strategy")
public class AmsStrategy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ams_strategy_id", type = IdType.ASSIGN_UUID)
    private String amsStrategyId;

    /**
     * 策略名称
     */
    private String strategyName;

    /**
     * 策略规划
     */
    private String strategyRule;

    /**
     * 策略类型
     */
    private AmsConstant.StrategyType strategyType;

    /**
     * 策略值
     */
    private String strategyValue;

    /**
     * 执行状态;是否启用(0否，1是)
     */
    private Integer strategyStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
