package com.ichaoj.ams.request.airdrop;

import com.ichaoj.ams.constant.AmsConstant;
import com.ichaoj.ams.request.airdrop.task.CreateAirdropTask;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@Data
@Schema(title = "创建空投项目")
public class CreateAirdropProject {

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目logo
     */
    private String projectLogo;

    /**
     * 预估费用
     */
    private BigDecimal estimatedCost;

    /**
     * 项目相关url
     */
    private String projectUrl;

    /**
     * 官网地址
     */
    private String projectWebsite;

    /**
     * 空投状态
     */
    private AmsConstant.AirdropStatus status;

    /**
     * 合约地址
     */
    private String contractAddress;

    /**
     * 交互任务
     */
    List<CreateAirdropTask> tasks;


}
