package com.ichaoj.ams.response.airdrop;

import com.ichaoj.ams.constant.AmsConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : cjwen
 * @date : 2023/05/12 15:51
 */
@Data
@Schema(title = "空投项目信息")
public class AirdropProjectResponse {

    private String amsProjectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目logo
     */
    private String projectLogo;

    /**
     * 预估费用
     */
    private BigDecimal estimatedCost;

    /**
     * 项目相关url
     */
    private String projectUrl;

    /**
     * 官网地址
     */
    private String projectWebsite;

    /**
     * 空投状态
     */
    private AmsConstant.AirdropStatus status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
