package com.ichaoj.ams.service;

import com.ichaoj.ams.entity.AmsAuto;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ichaoj.ams.request.auto.CreateAuto;
import com.ichaoj.ams.request.auto.PageAutoRequest;
import com.ichaoj.ams.request.auto.UpdateAuto;
import com.ichaoj.ams.request.strategy.PageStrategyRequest;
import com.ichaoj.ams.response.auto.AutoResponse;
import com.ichaoj.common.model.PublicPage;

/**
 * <p>
 * 自动化 服务类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
public interface IAmsAutoService extends IService<AmsAuto> {

    /**
     * 分页查询自动化
     * @param autoRequest 请求参数
     * @return 查询结果
     */
    PublicPage<AutoResponse> pageAuto(PageAutoRequest autoRequest);

    /**
     * 创建自动化
     * @param createAuto 创建参数
     */
    void createAuto(CreateAuto createAuto);

    /**
     * 修改自动化
     * @param updateAuto 修改参数
     */
    void updateAuto(UpdateAuto updateAuto);
}
