package com.ichaoj.ams.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ichaoj.ams.entity.AmsStrategy;
import com.ichaoj.ams.mapper.AmsStrategyMapper;
import com.ichaoj.ams.request.strategy.PageStrategyRequest;
import com.ichaoj.ams.response.strategy.StrategyResponse;
import com.ichaoj.ams.service.IAmsStrategyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ichaoj.common.model.PublicPage;
import com.ichaoj.mybatis.service.SuperWhaleServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 策略管理 服务实现类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
@Service
public class AmsStrategyServiceImpl extends SuperWhaleServiceImpl<AmsStrategyMapper, AmsStrategy> implements IAmsStrategyService {

    @Override
    public PublicPage<StrategyResponse> pageStrategy(PageStrategyRequest strategyRequest) {
        LambdaQueryWrapper<AmsStrategy> wrapper = Wrappers.lambdaQuery();
        wrapper
                .like(StrUtil.isNotBlank(strategyRequest.getQueryValue()), AmsStrategy::getStrategyName, strategyRequest.getQueryValue())
                .or().like(StrUtil.isNotBlank(strategyRequest.getQueryValue()), AmsStrategy::getStrategyRule, strategyRequest.getQueryValue())
                .orderByDesc(AmsStrategy::getCreateTime);
        Page<AmsStrategy> result = this.page(this.buildPageObj(strategyRequest), wrapper);
        return this.convertPublicPage(result, s -> BeanUtil.copyProperties(s, StrategyResponse.class));
    }
}
